For the latest news and information visit The GNU Crypto project

## javax.crypto.spec
Class DHPrivateKeySpec

    java.lang.Object
      |
      +--javax.crypto.spec.DHPrivateKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

public class DHPrivateKeySpec
extends java.lang.Object
implements java.security.spec.KeySpec

This class specifies a Diffie-Hellman private key with its associated parameters.

See Also:
  `DHPublicKeySpec`

Constructor Summary
`DHPrivateKeySpec(java.math.BigInteger x, java.math.BigInteger p, java.math.BigInteger g)` Constructor that takes a private value `x`, a prime modulus `p`, and a base generator `g`.

Method Summary
`java.math.BigInteger` `getG()` Returns the base generator `g`.
`java.math.BigInteger` `getP()` Returns the prime modulus `p`.
`java.math.BigInteger` `getX()` Returns the private value `x`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHPrivateKeySpec

    public DHPrivateKeySpec(java.math.BigInteger x,
                            java.math.BigInteger p,
                            java.math.BigInteger g)

  Constructor that takes a private value `x`, a prime modulus `p`, and a base generator `g`.

Method Detail

### getX

    public java.math.BigInteger getX()

  Returns the private value `x`.

  Returns:
    the private value `x`

### getP

    public java.math.BigInteger getP()

  Returns the prime modulus `p`.

  Returns:
    the prime modulus `p`

### getG

    public java.math.BigInteger getG()

  Returns the base generator `g`.

  Returns:
    the base generator `g`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.